/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 *
 * 注册api接口集合
 * @method login 登录
 */

import { http } from "@/utils/http";
import { baseUrlApi } from "../util";
import type { Result } from "../types";

export const login = (data?: object) => {
  return http.request<Result>("post", baseUrlApi("/api/auth/loginPhone"), {
    data
  });
};
